Bug 605298 - Error on pulp repo sync
Error on pulp repo sync
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Connor
:
Depends On:
Blocks: pulp-verified verified-to-close
  Show dependency treegraph
 
Reported: 2010-06-17 11:13 EDT by Preethi Thomas
Modified: 2011-08-16 08:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-16 08:07:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2010-06-17 11:13:24 EDT
Description of problem:


running  pulp repo sync gives an error message even if the sync has started

[root@preethi ~]# pulp repo sync --label=f13_x86_64
{"next_time": {"$date": 1276773117112}, "exception": null, "status_path": "/f13_x86_64/sync/ab9dc9d7-7a22-11df-a6b8-002564a85a58", "finish_time": null, "start_time": null, "traceback": null, "method_name": "sync", "state": "waiting", "result": null, "_id": "ab9dc9d7-7a22-11df-a6b8-002564a85a58"}


also check pulp.log

2010-06-17 11:07:21,379 [ERROR] _sync() @core_repo.py:193 - Error: {"next_time": {"$date": 1276772841377}, "exception": null, "status_path": "/f13_x86_64/sync/0743e214-7a22-11df-b1a1-002564a85a58", "finish_time": null, "start_time": null, "traceback": null, "method_name": "sync", "state": "waiting", "result": null, "_id": "0743e214-7a22-11df-b1a1-002564a85a58"}
Comment 2 Preethi Thomas 2010-08-02 12:42:23 EDT
reopening this

mmccune what command were you running that failed
Preethi  pulp repo sync -u admin -p admin --id=f13
mmccune got it .. 
mmccune definite bug
mmccune couple problems:
Preethi k
mmccune 1) CLI isnt reporting errors correctly
mmccune 2) we arent logging the error anywhere
Preethi ok will write it up
mmccune 3) you cant sync f13 because of that document size limit issue we were talking about today in the scrum

No implementation for list found"
[root@preethi pulp]# pulp repo sync -u admin -p admin --id=f13
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: error
"No implementation for list found"
Comment 3 Mike McCune 2010-08-02 12:51:27 EDT
The actual error in the pulptools.log:

2010-08-02 12:02:36,314 [ERROR][MainThread] _sync() @ core_repo.py:187 - Error: 500: "No implementation for list found"
Comment 4 Mike McCune 2010-08-02 13:11:47 EDT
I'm investigating this now.
Comment 5 Preethi Thomas 2010-08-17 11:20:27 EDT
repo sync is failing  with the following error.  but if you rerun the command you get the sync already in process error.

[root@preethi pulp]# rpm -qa |grep pulp
pulp-tools-0.0.50-1.git.7.ecb6917.fc13.noarch
pulp-0.0.50-1.git.7.ecb6917.fc13.noarch


[root@preethi pulp]# pulp-admin -u admin -p admin repo sync --id=rhel-i386-server-5
"Traceback (most recent call last):\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/controllers/base.py\", line 51, in report_error\n    return method(self, *args, **kwargs)\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/role_check.py\", line 102, in check_roles\n    ret=f(instance, *fargs, **kw)\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/controllers/repositories.py\", line 241, in sync\n    task_info = self.start_task(api.sync, [id], timeout=timeout, unique=True)\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/controllers/base.py\", line 261, in start_task\n    task_info = self._task_to_dict(task)\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/controllers/base.py\", line 236, in _task_to_dict\n    return dict((f, getattr(task, f)) for f in fields)\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/controllers/base.py\", line 236, in <genexpr>\n    return dict((f, getattr(task, f)) for f in fields)\nAttributeError: 'Task' object has no attribute 'next_time'\n"


[root@preethi pulp]# pulp-admin -u admin -p admin repo sync --id=rhel-i386-server-5
"Sync already in process for repo [rhel-i386-server-5]"
Comment 6 Preethi Thomas 2010-08-23 13:26:35 EDT
I am not sure if this was supposed to be fixed. I do get a different error with the latest rpms
[root@preethi conf.d]# rpm -qa |grep pulp
pulp-client-0.0.54-1.fc13.noarch
pulp-0.0.54-1.fc13.noarch
pulp-common-0.0.54-1.fc13.noarch



[root@preethi conf.d]# pulp-admin -u admin -p admin repo sync --id=f13
Traceback (most recent call last):
  File "/usr/bin/pulp-admin", line 30, in <module>
    pulpcli.PulpCore().main()
  File "/usr/lib/python2.6/site-packages/pulp/client/pulpcli.py", line 108, in main
    cmd.main()
  File "/usr/lib/python2.6/site-packages/pulp/client/core/basecore.py", line 110, in main
    self._do_core()
  File "/usr/lib/python2.6/site-packages/pulp/client/core/core_repo.py", line 110, in _do_core
    self._sync()
  File "/usr/lib/python2.6/site-packages/pulp/client/core/core_repo.py", line 178, in _sync
    state= status['state']
TypeError: 'NoneType' object is unsubscriptable
[root@preethi conf.d]# 


[root@preethi conf.d]# pulp-admin -u admin -p admin repo sync --id=f13
"Sync already in process for repo [f13]"


from the client.log

2010-08-23 13:33:06,567 [INFO][MainThread] _sync() @ core_repo.py:189 - REST Error.
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/client/core/core_repo.py", line 173, in _sync
    task_object = self.pconn.sync(self.options.id)
  File "/usr/lib/python2.6/site-packages/pulp/client/connection.py", line 193, in sync
    return self.conn.request_post(method)
  File "/usr/lib/python2.6/site-packages/pulp/client/connection.py", line 109, in request_post
    return self._request("POST", method, params)
  File "/usr/lib/python2.6/site-packages/pulp/client/connection.py", line 94, in _request
    self.validateResponse(response)
  File "/usr/lib/python2.6/site-packages/pulp/client/connection.py", line 102, in validateResponse
    raise RestlibException(response.status, response.read())
RestlibException: 409: "Sync already in process for repo [f13]"
Comment 7 Jason Connor 2010-08-25 11:30:15 EDT
Found that with the change of the handler uri (the new /pulp/api prefix) that the client now appends this prefix to all methods. However, the "method" for a sync status was a uri path that was returned from the server that already had the prefix. So when the client pre-pended /pulp/api again, the resulting uri got a 404 from the server.
I changed the client to check for the prefix before pre-pending it.
Comment 8 Preethi Thomas 2010-08-26 11:34:54 EDT
verified

[root@preethi ~]# pulp-admin -u admin -p admin repo sync --id=rhel-i386-server-5
 
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: finished
 Sync Successful. Repo [ rhel-i386-server-5 ] now has a total of [ 2394 ] packages

[root@preethi ~]# pulp-admin -u admin -p admin repo sync --id=f13

Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: running
Sync Status:: finished
 Sync Successful. Repo [ f13 ] now has a total of [ 3102 ] packages
Comment 9 Preethi Thomas 2011-08-16 08:07:19 EDT
Closing with Community Release 15

pulp-0.0.223-4.
Comment 10 Preethi Thomas 2011-08-16 08:20:59 EDT
Closing with Community Release 15

pulp-0.0.223-4.

Note You need to log in before you can comment on or make changes to this bug.